org.jgrapht.alg.interfaces

## Interface MatchingAlgorithm<V,E>

- Type Parameters:
    `V` - vertex concept type
    `E` - edge concept type
  All Known Subinterfaces:
    WeightedMatchingAlgorithm<V,E>
  All Known Implementing Classes:
    EdmondsBlossomShrinking, HopcroftKarpBipartiteMatching, KuhnMunkresMinimalWeightBipartitePerfectMatching, MaximumWeightBipartiteMatching

      public interface MatchingAlgorithm<V,E>

  Allows to derive matching from given graph

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<E>` | `getMatching()` Returns set of edges making up the matching

- - ### Method Detail

    - #### getMatching

          Set<E> getMatching()

      Returns set of edges making up the matching

Copyright © 2016. All rights reserved.